#### D.6.15.19 allsquarefree

Procedure from library `hnoether.lib` (see hnoether_lib).

Usage :
  allsquarefree(f,g); f,g poly

Assume:
  g is the output of `squarefree(f)`.

Return:
  the greatest squarefree divisor of f.

Note :
  This proc uses factorize to get the missing factors of f not in g and, therefore, may be slow.

Example:

    LIB "hnoether.lib";
    ring exring=7,(x,y),dp;
    poly f=(x+y)^7*(x-y)^8;
    poly g=squarefree(f);
    g;                      // factor x+y lost, since characteristic=7
    ==> x-y
    allsquarefree(f,g);     // all factors (x+y)*(x-y) found
    ==> x2-y2

See also: squarefree.

User manual for Singular version 4.4.1, 2025, generated by texi2html.